## gok-log

gok-log

## Synopsis

    #define             gok_log                             (...)
    #define             gok_log_x                           (...)
    #define             gok_log_enter
    #define             gok_log_leave

## Description

## Details

### gok_log()

    #define gok_log(...) gok_log_impl("", -1, "", __VA_ARGS__)

`...` : |

### gok_log_x()

    #define gok_log_x(...) gok_log_impl(__FILE__, __LINE__, __func__, __VA_ARGS__)

`...` : |

### gok_log_enter

    #define gok_log_enter() gok_log_enter_impl (__func__)

### gok_log_leave

    #define gok_log_leave() gok_log_leave_impl()